* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    height: 100vh;
    display: flex;
}

.container {
    position: relative;
    background-color: #393838;
    width: 300px;
    margin: auto;
}

.row {
    display: flex;
    height: 30px;
}

.row:not(:last-child) {
    border-bottom: 1px solid #b3b2b2;
}

.figure > .square,
.row > .square {
    width: 30px;
    height: 30px;
}

.row > .square:not(:last-child) {
    border-right: 1px solid #b3b2b2;
}

.figure {
    position: absolute;
    top: 0;
}

.figure > .square {
    background-color: inherit;
    border: 1px solid #b3b2b2;
}

.figure--line {
    background-color: #ffc103;
}

.figure--T {
    background-color: #00b300;
}

.figure--square {
    background-color: #2BC0E4;
}

.figure--pattern {
    background-color: #3d345c;
}

.figure--L {
    background-color: #ff0000;
}

.figure--T,
.figure--square,
.figure--line {
    display: flex;
}

.figure--L > .square:last-child {
    position: absolute;
    bottom: 0;
    right: -100%;
}

.figure--square {
    width: 60px;
    flex-wrap: wrap;
}

.figure--pattern > .square:nth-child(3),
.figure--pattern > .square:last-child {
    position: absolute;
    right: -100%;
}

.figure--pattern > .square:nth-child(3) {
    bottom: 0;
}

.figure--pattern > .square:last-child {
    bottom: -30px;
}

.figure--T > .square:last-child {
    position: absolute;
    left: 30px;
    bottom: -100%;
}

.play {
    display: none;
}

.play-active {
    position: absolute;
    width: 100%;
    height: 100vh;
    background-color: #6C7280;
    z-index: 1000;
    display: flex;
    justify-content: center;
    align-items: center;
    background-image: url("game-5651051_1920.jpg");
    background-size: cover;
}

.play-btn {
    margin-top: 350px;
    height: 100px;
    width: 200px;
    cursor: pointer;
}